BizKitHub
DocsAPI ReferenceLedger/bff/ledger/cash/book
getLedgerAdmin BFF

/bff/ledger/cash/book

Cash book of a register for a period with running balance

LedgergetBffLedgerCashBook

Parameters

7 query

Query parameters

· 7
entityIdstringRequired

Accounting entity external id.

Length: 16–24
Exampleexample_entityId
registerIdstringRequired
Length: 16–24
Exampleexample_registerId
fromstringOptional
Example2026-11-04
tostringOptional
Example2026-11-04
orderBystringOptional

DataGrid sort; only issueDate:asc|desc (chronological) is honoured.

Exampleexample_orderBy
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/ledger/cash/book

get
curl -X GET "https://api.bizkithub.com/bff/ledger/cash/book?entityId=example_entityId&registerId=example_registerId&from=2026-11-04&to=2026-11-04&orderBy=example_orderBy&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key